## GimpCellRendererColor GimpCellRendererColor — A GtkCellRenderer to display a GimpRGB color. |

## Synopsis

                        GimpCellRendererColor;
    GtkCellRenderer *   gimp_cell_renderer_color_new        (void);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkCellRenderer
                         +----GimpCellRendererColor

## Properties

      "color"                    GimpRGB*              : Read / Write
      "icon-size"                gint                  : Read / Write / Construct
      "opaque"                   gboolean              : Read / Write / Construct

## Description

A GtkCellRenderer to display a GimpRGB color.

## Details

### GimpCellRendererColor

    typedef struct _GimpCellRendererColor GimpCellRendererColor;

### gimp_cell_renderer_color_new ()

    GtkCellRenderer *   gimp_cell_renderer_color_new        (void);

Creates a GtkCellRenderer that displays a color.

Returns : | a new GimpCellRendererColor

Since GIMP 2.2

## Property Details

### The `"color"` property

      "color"                    GimpRGB*              : Read / Write

### The `"icon-size"` property

      "icon-size"                gint                  : Read / Write / Construct

Allowed values: >= 0

Default value: 1

### The `"opaque"` property

      "opaque"                   gboolean              : Read / Write / Construct

Default value: TRUE